/* function prototypes (not including numerical recipes or H2O prototypes) */

#include <stdio.h> 

void readconst(float *tfin,float *dtmin,float *dtmax,float *ts,float *tp,float *terr,float *pscale,
          float *adj,int *ifull,int *nmax,float *vol,float *press,float *spech,int *iup,int *idown,
          float *area,float *len,float *dia,float *dz,float *loss,float *W);
          
void GET_H2O_PROPS(float *spech,float *mass,float *vol,float *press,float *temp,float *c1,float *c2,
		float *enth,float *rho,float *voi,float *qual,float *G1temp,float *G2temp,float adj,
		int isat,int nmax);

void MXW(float **mwmat,int *iup,int *idown);

void WXP(float **wpmat,float *area, float *len,int *iup,int *idown);
	
void LCOEF(float *k,float *w,float *dia,float *area,float *len,float *loss,float *den,
			float *rho,int *iup,float *qual,float *press);

void WXW(float **wwmat,float *k,float *w);	

void HXW(float **hwmat,float *enth,float *mass,int *iup,int *idown,int *ifrom);

void PXW(float **pwmat,float *c1,float *c2,float *enth,float *mass,int *iup, int *idown,int *ifrom);

void HXW2(float **hwmat,float *enth,float *mass,float *w,float **mwmat,float dt,
			int *iup,int *idown, int *ifrom);
			
void MTRANS(float **matran,float *mass,float *w,float dt,int *iup,int *idown, int *ifrom);

void PXW2(float **pwmat,float *c1,float *c2,float **matran,float **hwmat,int *iup,int *idown);	

void MATMUL(float *a,float **b,float *c,int NR,int NC);

void DxDT(float *dxdt,float *x,float **A,float *B,int NR,int NC);

void VECTADD(float *dxdt,float *hold,float *B,int NR);

float TSTEP(float dt,float t,float *dtlast,float dtmin,float dtmax,float tfin,float *tprint,
			float terr,float pscale,float *dpdt);

void PUMPHEAD(float *dppump);

void HEATADDED(float *qq);

void InitProfile(unsigned,unsigned);

/* end of function prototypes */




