PROJ	=SIMULAT
DEBUG	=1
CC	=qcl
CFLAGS_G	= /AL /W1 /Ze 
CFLAGS_D	= /Zi /Zr /Gi$(PROJ).mdt /Od 
CFLAGS_R	= /O /Ot /DNDEBUG 
CFLAGS	=$(CFLAGS_G) $(CFLAGS_D)
LFLAGS_G	= /CP:0xffff /NOI /SE:0x80 /ST:0x800 
LFLAGS_D	= /CO /INCR 
LFLAGS_R	= 
LFLAGS	=$(LFLAGS_G) $(LFLAGS_D)
RUNFLAGS	=
OBJS_EXT = 	
LIBS_EXT = 	

all:	$(PROJ).exe

simulat.obj:	simulat.c

matrices.obj:	matrices.c

function.obj:	function.c

prop.obj:	prop.c

nrutil.obj:	nrutil.c

nr.obj:	nr.c

altfile.obj:	altfile.c

h2oprop1.obj:	h2oprop1.c

h2oprop2.obj:	h2oprop2.c

$(PROJ).exe:	simulat.obj matrices.obj function.obj prop.obj nrutil.obj nr.obj altfile.obj \
	h2oprop1.obj h2oprop2.obj $(OBJS_EXT)
	echo >NUL @<<$(PROJ).crf
simulat.obj +
matrices.obj +
function.obj +
prop.obj +
nrutil.obj +
nr.obj +
altfile.obj +
h2oprop1.obj +
h2oprop2.obj +
$(OBJS_EXT)
$(PROJ).exe

$(LIBS_EXT);
<<
	ilink -a -e "link $(LFLAGS) @$(PROJ).crf" $(PROJ)

run: $(PROJ).exe
	$(PROJ) $(RUNFLAGS)

